org.apache.maven.scm.provider.git.gitexe.command.checkin

## Class GitCheckInCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.command.checkin.AbstractCheckInCommand
    - - org.apache.maven.scm.provider.git.gitexe.command.checkin.GitCheckInCommand

- All Implemented Interfaces:
    Command, GitCommand

      public class GitCheckInCommand
      extends AbstractCheckInCommand
      implements GitCommand

  Version:
    $Id: GitCheckInCommand.java 823147 2009-10-08 12:39:23Z struberg $
  Author:
    Mark Struberg

- - ### Field Summary

    - ### Fields inherited from class org.apache.maven.scm.command.checkin.AbstractCheckInCommand

      `NAME`

    - ### Fields inherited from interface org.apache.maven.scm.command.Command

      `ROLE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GitCheckInCommand()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static org.codehaus.plexus.util.cli.Commandline` | `createCommitCommandLine(GitScmProviderRepository repository, ScmFileSet fileSet, File messageFile)`
    `static org.codehaus.plexus.util.cli.Commandline` | `createPushCommandLine(ScmLogger logger, GitScmProviderRepository repository, ScmFileSet fileSet, ScmVersion version)`
    `protected CheckInScmResult` | `executeCheckInCommand(ScmProviderRepository repo, ScmFileSet fileSet, String message, ScmVersion version)`

    - ### Methods inherited from class org.apache.maven.scm.command.checkin.AbstractCheckInCommand

      `executeCommand`

    - ### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

      `execute, getLogger, setLogger`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.maven.scm.command.Command

      `execute, getLogger, setLogger`

- - ### Constructor Detail

    - #### GitCheckInCommand

          public GitCheckInCommand()

  - ### Method Detail

    - #### executeCheckInCommand

          protected CheckInScmResult executeCheckInCommand(ScmProviderRepository repo,
                                               ScmFileSet fileSet,
                                               String message,
                                               ScmVersion version)
                                                    throws ScmException

      Specified by:
        `executeCheckInCommand` in class `AbstractCheckInCommand`
      Throws:
        `ScmException`

    - #### createPushCommandLine

          public static org.codehaus.plexus.util.cli.Commandline createPushCommandLine(ScmLogger logger,
                                                                       GitScmProviderRepository repository,
                                                                       ScmFileSet fileSet,
                                                                       ScmVersion version)
                                                                                throws ScmException

      Throws:
        `ScmException`

    - #### createCommitCommandLine

          public static org.codehaus.plexus.util.cli.Commandline createCommitCommandLine(GitScmProviderRepository repository,
                                                                         ScmFileSet fileSet,
                                                                         File messageFile)
                                                                                  throws ScmException

      Throws:
        `ScmException`

Copyright © 2003–2015. All rights reserved.